Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # default_channel_converter Struct Reference [channel_convert] `#include <channel_algorithm.hpp>` List of all members. ## Detailed Description Same as channel_converter, except it takes the destination channel by reference, which allows us to move the templates from the class level to the method level. This is important when invoking it on heterogeneous pixels.
## Public Member Functions
template<typename Ch1, typename Ch2>
void | operator() (const Ch1 &src, Ch2 &dst) const
The documentation for this struct was generated from the following file: channel_algorithm.hpp